/*
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2011 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.orchestra.designer.fileNavigator;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Loic Albertin
 */
public class Owner extends Item {

  private static final long serialVersionUID = 1033198195894864851L;

  private List<Project> projects = new ArrayList<Project>();

  public List<Project> getProjects() {
    return this.projects;
  }

  public void setProjects(final List<Project> projects) {
    this.projects = projects;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (!(o instanceof Owner)) return false;
    if (!super.equals(o)) return false;

    Owner owner = (Owner) o;

    if (projects != null ? !projects.equals(owner.projects) : owner.projects != null) return false;

    return true;
  }

  @Override
  public int hashCode() {
    int result = super.hashCode();
    result = 31 * result + (projects != null ? projects.hashCode() : 0);
    return result;
  }
}
